<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 03/05/2005 *
 * ===============                              Last change: 03/05/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : mediadata_de.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : German langugage support                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Deutsche Sprachunterst�tzung                     *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (basename($_SERVER['PHP_SELF']) == basename(__FILE__))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Language definitions
define('MEDIA_DATA_GENERAL', "Allgemeine Mediendaten");
define('MEDIA_DATA_POINTS', "{!POINTS!} im System");
define('MEDIA_DATA_MISC', "Verschiedene Mediendaten");
define('MEDIA_DATA_REFBANNER', "Daten zu unsere Referral-Bannern");
define('MEDIA_DATA_MAIL', "Mailstatistik");

define('MEDIA_DOUBLER_HEADER', "Statistiken - {!POINTS!}-Verdoppler");
define('MEDIA_DOUBLER_COUNT', "Anzahl Auszahlungen");
define('MEDIA_DOUBLER_CPOINTS', "Ausgezahlte {!POINTS!}");
define('MEDIA_DOUBLER_WAITING', "In Warteschleife befindlich");
define('MEDIA_DOUBLER_WPOINTS', "Wartende {!POINTS!}");

define('MEDIA_TRANSFER_HEADER', "Statistiken - {!POINTS!}-Transfer");
define('MEDIA_TRANSFER_IN_COUNT', "Anzahl eingehende Transfers");
define('MEDIA_TRANSFER_IN_POINTS', "Eingehende {!POINTS!}");
define('MEDIA_TRANSFER_OUT_COUNT', "Anzahl ausgehende Transfers");
define('MEDIA_TRANSFER_OUT_POINTS', "Ausgehende {!POINTS!}");

define('TOTAL_REF_BANNER', "Anzahl Referral-Banner");
define('TOTAL_REF_CLICKS', "Klicks auf die Banner");
define('TOTAL_REF_VIEWS', "Einblendungen der Banner");
define('TOTAL_REFCLICKS', "Referral-Klicks");
define('MEDIA_BEG_CLICKS', "Klicks auf Bettellinks");
define('MEDIA_HOLIDAY_COUNT', "Auf Urlaub gestellte Accounts");
define('CONTINUE_MEMBER_STATS', "Weiter zur Mitglieder-Statistik");

define('MEDIA_DATA_SCRIPT', "Daten zur verwendeten Software");
define('ENGINE_SOFTWARE', "Verwendete Engine");
define('ENGINE_VERSION', "Installierte MXChange-Version");
define('ENGINE_PATCH_LEVEL', "Patch-Level");
define('ENGINE_PATCH_CTIME', "Letzte Aktualisierung");

// Admin area
define('ADMIN_MEDIADATA_SETTINGS', "Einstellungen zu den Mediendaten");
define('ADMIN_MEDIADATA_MT_START', "Startdatum Ihres ".MT_WORD2."");
define('ADMIN_MEDIADATA_MT_START_NOTE', "Bitte beachten Sie, dass das Startdatum Ihres ".MT_WORD2." nicht in der Zukunft liegen darf!");
define('ADMIN_MEDIADATA_MT_STAGE', "Anzahl zu vorausberechnende Mitgliederanzahl");
define('ADMIN_MEDIADATA_MT_STAGE_NOTE', "Geben Sie hier an, wie viele Mitglieder Ihr ".MT_WORD." erreichen soll. Es wird dann vom Script gesch&auml;tzt, an welchem Tag dies sein wird.");

// New guest data
define('MEDIA_DATA_MEMBERS', "Mitglieder-Statistik");
define('USERS_CONFIRMED', "Best&auml;tigte Accounts");
define('USERS_UNCONFIRMED', "Auf Freischaltung wartend");
define('USERS_LOCKED', "Gesperrte Accounts");
define('USER_MT_START', "Start dieses {!MT_WORD2!}");
define('USER_MT_PROJECTED_1', "Voraussichtlich: Am <STRONG>");
define('USER_MT_PROJECTED_2', "</STRONG> werden wir <STRONG>");
define('USER_MT_PROJECTED_3', "</STRONG> Mitglieder erreicht haben!");
define('USER_PROJECTION_UNKNOWN', "<I>unbekanntes Datum</I>");

//
?>
