<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 06/25/2004 *
 * ================                             Last change: 06/25/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-autopurge.php                               *
 * -------------------------------------------------------------------- *
 * Short description : AutoPurge configuration                          *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : AutoPurge-Konfiguration                          *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!IS_ADMIN()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}
// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

if (isset($_POST['ok']))
{
	// Data was submitted so we store it
}
 else
{
	// Setup constants for the template
	switch ($CONFIG['ap_inactive'])
	{
		case "Y": define('__YES_IN', " checked"); define('__NO_IN', "");         break;
		case "N": define('__YES_IN', "");         define('__NO_IN', " checked"); break;
	}
	switch ($CONFIG['ap_unconfirmed'])
	{
		case "Y": define('__YES_UN', " checked"); define('__NO_UN', "");         break;
		case "N": define('__YES_UN', "");         define('__NO_UN', " checked"); break;
	}
	define('__AP_IN_SINCE', $CONFIG['ap_in_since']);
	define('__AP_IN_TIME' , $CONFIG['ap_in_time']);
	define('__AP_UN_TIME' , $CONFIG['ap_un_time']);

	// Output template
	LOAD_TEMPLATE("admin_config_autopurge");
}
//
?>
