<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/19/2004 *
 * ===============                              Last change: 09/19/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : order_de.php                                     *
 * -------------------------------------------------------------------- *
 * Short description : German langugage support                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Deutsche Sprachunterst�tzung                     *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (basename($_SERVER['PHP_SELF']) == basename(__FILE__))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Language definitions
define('ORDER_ADMIN_SETTINGS', "Einstellungen - Mailbuchungsseite");
define('ORDER_ADMIN_MISC_SETTINGS', "Weitere Einstellungen");
define('ORDER_MAX_ORDER_SELECT', "Wie viele Mailbuchungen sollen die Mitglieder maximal versenden k&ouml;nnen?");
define('ORDER_MIN_RECEIVER_PER_ORDER', "Minimale Empf&auml;nger pro Mailbuchung");
define('ORDER_ADMIN_MAX', "So viele wie m&ouml;glich.");
define('ORDER_ADMIN_ORDER', "So viele wie auf Empfang eingestellt.");
define('ORDER_ALLOWED_RECEIVE_1', "Sie k&ouml;nnen heute noch <STRONG>");
define('ORDER_ALLOWED_RECEIVE_2', "</STRONG> von <STRONG>");
define('ORDER_ALLOWED_RECEIVE_3', "</STRONG> Mailbuchungen aufgeben.");
define('MEMBER_ORDER_MAX_ALLOWED', "Maximale Mailbuchungen");
define('ORDER_ALLOED_MAX', "Sie k&ouml;nnen solange Mailbuchungen aufgeben, bis alle Mitglieder nicht mehr empfangsbereit sind.");
define('MEMBER_ORDER_ALLOWED_EXHAUSTED', "Sie k&ouml;nnen keine weiteren Mails mehr versenden, oder stellen Sie bitte den Empfang h&ouml;her ein.");
define('MEMBER_MIN_RECS_1', "Minimum:");
define('MEMBER_MIN_RECS_2', "");
define('MEMBER_ENTER_INVALID_URL', "Ung&uuml;tige URL eingegeben!");
define('ADMIN_ORDER_SELECTION_COLUMN', "Tabellenspalte, nach der umsortiert werden soll");
define('ADMIN_ORDER_SELECTION_MODE', "Sortierreihenfolge");
define('ADMIN_ORDER_SELECTION_SETTINGS', "Auswahlverfahren der Empf&auml;nger");

define('ORDER_SELECT_COLUMN_USERID', "Mitgliedsnummer");
define('ORDER_SELECT_COLUMN_ZIP', "Postleitzahl");
define('ORDER_SELECT_COLUMN_COUNTRY', "Land");
define('ORDER_SELECT_COLUMN_EMAIL', "EMail-Adresse");
define('ORDER_SELECT_COLUMN_BIRTH_YEAR', "Geburtsjahr");
define('ORDER_SELECT_COLUMN_LAST_ONLINE', "Als letztes Online");
define('ORDER_SELECT_COLUMN_REF_CLICKS', "Klicks auf Ref-Link");
define('ORDER_SELECT_COLUMN_TOTAL_LOGINS', "Gesamtlogins");
define('ORDER_SELECT_COLUMN_MAIL_ORDERS', "Heutige Mailbuchungen");

define('ADMIN_AUTOSEND_INACTIVE', "Der Auto-Versand ist in Ihrem {!MT_WORD!} derzeit deaktiviert. Bitte loggen Sie sich in den Admin-Bereich ein und schalten Sie diese Mailbuchung frei!");
define('ADMIN_AUTOSEND_ACTIVE', "Der Auto-Versand ist in Ihrem {!MT_WORD!} derzeit aktiviert. Die Mailbuchung wird aktiviert und dann automatisch versand.");
define('MEMBER_AUTOSEND_INACTIVE', "Der Auto-Versand ist in unserem {!MT_WORD!} derzeit deaktiviert. Ihre Mailbuchung wird bald von einem Administrator ueberprueft und dann freigegeben.");
define('MEMBER_AUTOSEND_ACTIVE', "Der Auto-Versand ist in unserem {!MT_WORD!} derzeit aktiviert. Ihr Mailbuchung wurde aktiviert und wird bald automatisch versant.");

//
?>
