<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/28/2003 *
 * ===============                              Last change: 10/29/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-email_details.php                           *
 * -------------------------------------------------------------------- *
 * Short description : See all email details of ordered mails           *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Alle Details einer gebuchten Mail ansehen        *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 * -------------------------------------------------------------------- *
 *           Moded What-email_details.php   / also Editet !             *
 * Auf langsammen Servern (wie mein z.B Dauert das Laden)               *
 * enorm hoch zu lang. Jetzt werden nur auftr�ge aufgelistet die        *
 * NEU sind ( DB NEW) oder ADMIN freischalten mu� (DB ADMIN )           *
 * oder noch als TEMP gespecihert sind                                  *
 * der rest der schon als SEND sich melden darf wird per                *
 * what-email_archiv .php aufgerufen                                    *
 * beste gr��e Robert Niedziela / www.personal-webserver.de             *
 * oder auch www.mc-p.org                                               *
 ************************************************************************/

// Some security stuff...
if ((ereg(basename(__FILE__), $_SERVER['PHP_SELF'])) || (!IS_ADMIN()))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Add description as navigation point
ADD_DESCR("admin", basename(__FILE__));

// Normal mails ordered by your members
//              0     1       2       3       4           5          6          7       8        9          10
$SQL = "SELECT id, sender, subject, text, receivers, payment_id, data_type, timestamp, url, target_send, cat_id
 FROM "._MYSQL_PREFIX."_pool
 WHERE data_type IN('ADMIN', 'TEMP', 'NEW', 'ACTIVE')
 ORDER BY timestamp DESC";
$WHO = _ALL;
$SQL2 = "";

if (!empty($_GET['mid']))
{
	// Only a specific mail shall be displayed
	//              0     1       2       3       4           5          6          7       8        9          10
	$SQL = "SELECT id, sender, subject, text, receivers, payment_id, data_type, timestamp, url, target_send, cat_id
	 FROM "._MYSQL_PREFIX."_pool
	 WHERE id='".bigintval($_GET['mid'])."'
	 LIMIT 1";
	$WHO = MAIL_ID.": ".$_GET['mid'];
}
 elseif (!empty($_GET['u_id']))
{
	// All mails by a specific member shall be displayed
	//              0     1       2       3       4           5          6          7       8        9          10
	$SQL = "SELECT id, sender, subject, text, receivers, payment_id, data_type, timestamp, url, target_send, cat_id
	 FROM "._MYSQL_PREFIX."_pool
	 WHERE sender='".bigintval($_GET['u_id'])."'
	 ORDER by timestamp DESC";
	$WHO = USER_ID.": ".$_GET['u_id'];
}

if ((EXT_IS_ACTIVE("bonus")) && ($WHO == _ALL))
{
	// Bonus mails sent by you
	//               0     1       2        3        4      5       6          7       8      9         10          11        12
	$SQL2 = "SELECT id, subject, text, receivers, points, time, data_type, timestamp, url, cat_id, target_send, mails_sent, clicks
	 FROM "._MYSQL_PREFIX."_bonus
	 ORDER BY timestamp DESC";

	// Check for maximum pages
	$result_bonus = SQL_QUERY($SQL2, __FILE__, __LINE__);
}

// Check for maximum pages
$result_normal = SQL_QUERY($SQL, __FILE__, __LINE__);

// Set offset an current page to default values
if (empty($_GET['page']))   $_GET['page']   = "1";
if (empty($_GET['offset'])) $_GET['offset'] = $CONFIG['mails_page'];

// Add limitation to SQL string
if (empty($_GET['mid']))
{
	// Create limitation line
	$ADD = " LIMIT ".(bigintval($_GET['offset']) * bigintval($_GET['page']) - bigintval($_GET['offset'])).", ".bigintval($_GET['offset']);

	// For normal mails
	$SQL .= $ADD;

	// For bonus mails
	if (!empty($SQL2)) $SQL2 .= $ADD;
}

// Run SQL query for normal mails
$result_list = SQL_QUERY($SQL, __FILE__, __LINE__);
if ((!empty($SQL2)) && ($WHO == _ALL)) $result_bonus = SQL_QUERY($SQL2, __FILE__, __LINE__);

// Calculate pages
$PAGES = round(SQL_NUMROWS($result_normal) / $CONFIG['mails_page'] + 0.3);
SQL_FREERESULT($result_normal);

$MAIL = false;
if (SQL_NUMROWS($result_list) > 0)
{
	// Mail orders are in pool so we can display them
	OUTPUT_HTML ("<DIV align=\"center\">
<TABLE border=\"0\" cellspacing=\"0\" cellpadding=\"0\" class=\"admin_table dashed\" width=\"99%\">
<TR>
  <TD colspan=\"3\" align=\"center\" height=\"25\" class=\"admin_title\">
    <STRONG class=\"admin_done\">".ADMIN_POOL_CONTENT." (".$WHO.")</STRONG>
  </TD>
</TR>");

	// Add navigation (with change box and colspan=3)
	if ($PAGES > 1) ADD_EMAIL_NAV($PAGES, $CONFIG['mails_page'], false, "3");

	while ($pool = SQL_FETCHROW($result_list))
	{
		// Unconfirmed mails and sent mails
		$result_uncon = SQL_QUERY_ESC("SELECT max_rec, clicks FROM "._MYSQL_PREFIX."_user_stats WHERE pool_id=%d LIMIT 1",
		 array(bigintval($pool[0])), __FILE__, __LINE__);
		list($sent, $clicks) = SQL_FETCHROW($result_uncon);
		SQL_FREERESULT($result_uncon);

		// Unconfirmed mails
		$unconfirmed = $sent - $clicks;
		if ($unconfirmed > 0)
		{
			// Add link to list_unconfirmed what-file
			$unconfirmed = "<STRONG><A href=\"".URL."/modules.php?module=admin&amp;what=list_unconfirmed&amp;mid=".$pool[0]."\">".$unconfirmed."</A></STRONG>";
		}
		 elseif ($unconfirmed < 0)
		{
			// Sometimes rarely displayed minus values will be "fixed" to zero
			$unconfirmed = "0";
		}

		// List mail
		OUTPUT_HTML ("<TR>
  <TD class=\"bottom top2 right\" width=\"23%\" align=\"center\">
    ".EMAIL_SENDER.":<BR>
    <STRONG class=\"admin_misc\">".ADMIN_USER_PROFILE_LINK($pool[1])."</STRONG>
  </TD>
  <TD class=\"bottom top2 right\" width=\"23%\" align=\"center\">
    ".EMAIL_SUBJECT.":<BR>
    <STRONG class=\"admin_misc\">".COMPILE_CODE($pool[2])."</STRONG>
  </TD>
  <TD class=\"bottom top2\" width=\"54%\" align=\"center\">
    ".EMAIL_TEXT.":<BR>
    <STRONG class=\"admin_misc\">".COMPILE_CODE($pool[3])."</STRONG>
  </TD>
</TR>
<TR><TD height=\"5\" colspan=\"3\"></TD></TR>
<TR>
  <TD colspan=\"2\" align=\"center\" class=\"top bottom right\">
    ".EMAIL_PAYMENT.":<BR>
    <STRONG class=\"admin_misc\">".GET_PAYMENT($pool[5])."
  </TD>
  <TD align=\"center\" class=\"top bottom\">
    ".EMAIL_CATEGORY.":<BR>
    <STRONG class=\"admin_misc\">".GET_CATEGORY($pool[10])."
  </TD>
</TR>
<TR><TD height=\"5\" colspan=\"3\"></TD></TR>
<TR>
  <TD align=\"center\" class=\"top bottom right\">
    ".EMAIL_RECEIVERS.":<BR>
    <STRONG class=\"admin_misc\">".$sent."</STRONG> (".EMAIL_RUIDS.": <STRONG class=\"admin_misc\">".str_replace(";", ", ", $pool[4])."</STRONG>)
  </TD>
  <TD align=\"center\" class=\"top bottom right\">
    ".USERS_LINKS.":<BR>
    <STRONG class=\"admin_misc\">".$unconfirmed."</STRONG>
  </TD>
  <TD align=\"center\" class=\"top bottom\">
    ".EMAIL_POOL_TYPE.":<BR>
    <STRONG class=\"admin_misc\">".GET_POOL_TYPE($pool[6])."</STRONG>
  </TD>
</TR>
<TR><TD height=\"5\" colspan=\"3\"></TD></TR>
<TR>
  <TD align=\"center\" class=\"top right\">
    ".EMAIL_TSEND.":<BR>
    <STRONG class=\"admin_misc\">".$pool[9]."</STRONG>
  </TD>
  <TD align=\"center\" class=\"top right\">
    ".EMAIL_URL.":<BR>
    <STRONG class=\"admin_misc\"><A href=\"".FRAMETESTER($pool[8])."\" target=\"_blank\">".EMAIL_URL_TEST."</A></STRONG>
  </TD>
  <TD align=\"center\" class=\"top\">
    ".EMAIL_TIMESTAMP.":<BR>
    <STRONG class=\"admin_misc\">".MAKE_DATETIME($pool[7], "0")."</STRONG>
  </TD>
</TR>
<TR>
  <TD align=\"center\" class=\"top2 admin_del_link\" colspan=\"3\">
    <A href=\"".URL."/modules.php?module=admin&amp;what=del_email&amp;mid=".$pool[0]."\">".ADMIN_DELETE_NORMAL_MAIL."</A>
  </TD>
</TR>");
	}

	// Free memory
	SQL_FREERESULT($result_list);

	// Add navigation (without change box but with colspan=3)
	if ($PAGES > 1) ADD_EMAIL_NAV($PAGES, $CONFIG['mails_page'], false, "3");

	// Output footer
	OUTPUT_HTML ("</TABLE>
</DIV>");
	$MAIL = true;
	if ((EXT_IS_ACTIVE("bonus")) && ($WHO == _ALL))
	{
		// Check only if bonus extension is active
		if (SQL_NUMROWS($result_bonus) > 0) OUTPUT_HTML ("<BR><BR>");
	}
}

if ((EXT_IS_ACTIVE("bonus")) && ($WHO == _ALL))
{
	// Load bonus mails only when extension is active
	if (SQL_NUMROWS($result_bonus) > 0)
	{
		// Mail orders are in pool so we can display them
		OUTPUT_HTML ("<DIV align=\"center\">
<TABLE border=\"0\" cellspacing=\"0\" cellpadding=\"0\" class=\"admin_table dashed\" width=\"99%\">
<TR>
  <TD colspan=\"3\" align=\"center\" height=\"25\" class=\"admin_title\">
    <STRONG class=\"admin_done\">".ADMIN_BONUS_CONTENT."</STRONG>
  </TD>
</TR>");
		// Calculate pages
		$PAGES = round(SQL_NUMROWS($result_bonus) / $CONFIG['mails_page'] + 0.5);

		// Add navigation (with change box and colspan=3)
		if ($PAGES > 1) ADD_EMAIL_NAV($PAGES, $CONFIG['mails_page'], true, "3");

		// List emails
		while ($bonus = SQL_FETCHROW($result_bonus))
		{
			// Unconfirmed mails
			$unconfirmed = $bonus[11] - $bonus[12];
			if ($unconfirmed > 0)
			{
				// Add link to list_unconfirmed what-file
				$unconfirmed = "<STRONG><A href=\"".URL."/modules.php?module=admin&amp;what=list_unconfirmed&amp;bid=".$bonus[0]."\">".$unconfirmed."</A></STRONG>";
			}

			OUTPUT_HTML ("<TR>
  <TD class=\"bottom top2 right\" colspan=\"2\" width=\"46%\" align=\"center\">
    ".EMAIL_SUBJECT.":<BR>
    <STRONG class=\"admin_misc\">".$bonus[1]."</STRONG>
  </TD>
  <TD class=\"bottom top2\" width=\"54%\" align=\"center\">
    ".EMAIL_TEXT.":<BR>
    <STRONG class=\"admin_misc\">".$bonus[2]."</STRONG>
  </TD>
</TR>
<TR><TD height=\"5\" colspan=\"3\"></TD></TR>
<TR>
  <TD align=\"center\" class=\"top bottom right\" width=\"23%\">
    ".EMAIL_POINTS.":<BR>
    <STRONG class=\"admin_misc\">".$bonus[4]." ".POINTS."
  </TD>
  <TD align=\"center\" class=\"top bottom right\" width=\"23%\">
    ".EMAIL_SECONDS.":<BR>
    <STRONG class=\"admin_misc\">".$bonus[5]." ".SECS."
  </TD>
  <TD align=\"center\" class=\"top bottom\">
    ".EMAIL_CATEGORY.":<BR>
    <STRONG class=\"admin_misc\">".GET_CATEGORY($bonus[9])."
  </TD>
</TR>
<TR><TD height=\"5\" colspan=\"3\"></TD></TR>
<TR>
  <TD align=\"center\" class=\"top bottom right\">
    ".EMAIL_RECEIVERS.":<BR>
    <STRONG class=\"admin_misc\">".$bonus[11]."</STRONG> (".EMAIL_RUIDS.": <STRONG class=\"admin_misc\">".str_replace(";", ", ", $bonus[3])."</STRONG>)
  </TD>
  <TD align=\"center\" class=\"top bottom right\">
    ".USERS_LINKS.":<BR>
    <STRONG class=\"admin_misc\">".$unconfirmed."</STRONG>
  </TD>
  <TD align=\"center\" class=\"top bottom\">
    ".EMAIL_POOL_TYPE.":<BR>
    <STRONG class=\"admin_misc\">".GET_POOL_TYPE($bonus[6])."</STRONG>
  </TD>
</TR>
<TR><TD height=\"5\" colspan=\"3\"></TD></TR>
<TR>
  <TD align=\"center\" class=\"top right\">
    ".EMAIL_TSEND.":<BR>
    <STRONG class=\"admin_misc\">".$bonus[10]."</STRONG>
  </TD>
  <TD align=\"center\" class=\"top right\">
    ".EMAIL_URL.":<BR>
    <STRONG class=\"admin_misc\"><A href=\"".FRAMETESTER($bonus[8])."\" target=\"_blank\">".EMAIL_URL_TEST."</A></STRONG>
  </TD>
  <TD align=\"center\" class=\"top\">
    ".EMAIL_TIMESTAMP.":<BR>
    <STRONG class=\"admin_misc\">".MAKE_DATETIME($bonus[7], "0")."</STRONG>
  </TD>
</TR>
<TR>
  <TD align=\"center\" class=\"top2 admin_del_link\" colspan=\"3\">
    <A href=\"".URL."/modules.php?module=admin&amp;what=del_email&amp;bid=".$bonus[0]."\">".ADMIN_DELETE_BONUS_MAIL."</A>
  </TD>
</TR>");
		}

		// Add navigation (without change box but with colspan=3)
		if ($PAGES > 1) ADD_EMAIL_NAV($PAGES, $CONFIG['mails_page'], false, "3");

		// Output footer
		OUTPUT_HTML ("</TABLE>
</DIV>");
		$MAIL = true;
	}
}

if (!$MAIL)
{
	// No mail orders fond
	OUTPUT_HTML ("<SPAN class=\"admin_failed\">".ADMIN_NO_MAILS_IN_POOL."</SPAN>");
}
//
?>
